DirectoryIterator::isWritable
DirectoryIterator::next
DirectoryIterator
PHP Manual

# DirectoryIterator::key

Return the key for the current DirectoryIterator item

### Description

public string DirectoryIterator::key ( void )

Get the key for the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

The key for the current DirectoryIterator item.

### Examples

Example #1 A DirectoryIterator::key example

`<?php
$dir = new DirectoryIterator(dirname(__FILE__));
foreach ($dir as $fileinfo) {
if (!$fileinfo->isDot()) {
echo $fileinfo->key() . " => " . $fileinfo->getFilename() . "\n";
}
}
?>`

The above example will output something similar to:

    0 => apple.jpg
    1 => banana.jpg
    2 => index.php
    3 => pear.jpg

### See Also

- DirectoryIterator::current
- DirectoryIterator::next
- DirectoryIterator::rewind
- DirectoryIterator::valid
- Iterator::key